• Русский
  • Description
    GlobalRateLimiter is the Schema for the globalratelimiters API
    Type
    object

    Specification

    PropertyTypeDescription
    apiVersionstring

    APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#resources

    kindstring

    Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds

    metadataObjectMeta

    ObjectMeta is metadata that all persisted resources must have, which includes all objects users must create.

    specobject

    GlobalRateLimiterSpec defines the desired state of GlobalRateLimiter

    statusobject

    GlobalRateLimiterStatus defines the observed state of GlobalRateLimiter

    .spec

    Description
    GlobalRateLimiterSpec defines the desired state of GlobalRateLimiter
    Type
    object
    Required
    domainfailureModeDenyrulesserviceType
    PropertyTypeDescription
    domainstring

    The domain to limit (globally unique).

    failureModeDenyboolean

    Failure to deny access mode.

    rulesarray

    List of rate limit rule.

    serviceTypestring

    Service type.

    .spec.rules

    Description
    List of rate limit rule.
    Type
    array

    .spec.rules[]

    Type
    object
    Required
    descriptorsnamerateLimit
    PropertyTypeDescription
    descriptorsarray

    List of rate limit description information.

    namestring

    Name.

    rateLimitobject

    Current limit value configuration.

    shadowModeboolean

    Shadow mode.

    updatedUtcinteger

    Timestamp of update time(s).

    .spec.rules[].descriptors

    Description
    List of rate limit description information.
    Type
    array

    .spec.rules[].descriptors[]

    Type
    object
    Required
    kindmatch
    PropertyTypeDescription
    kindstring

    Kind of rate limits.

    matchobject

    Rate limit matching.

    .spec.rules[].descriptors[].match

    Description
    Rate limit matching.
    Type
    object
    Required
    method
    PropertyTypeDescription
    keystring

    Match item (required for request header matching).

    methodstring

    Match method.

    valuestring

    Match value.

    .spec.rules[].rateLimit

    Description
    Current limit value configuration.
    Type
    object
    PropertyTypeDescription
    fixedWindowobject

    Fixed window.

    .spec.rules[].rateLimit.fixedWindow

    Description
    Fixed window.
    Type
    object
    Required
    requestsPerUnitunit
    PropertyTypeDescription
    requestsPerUnitinteger

    Number of requests per time unit.

    unitstring

    Time unit.

    .status

    Description
    GlobalRateLimiterStatus defines the observed state of GlobalRateLimiter
    Type
    object

    API Endpoints

    The following API endpoints are available:

    • /apis/asm.alauda.io/v1alpha1/namespaces/{namespace}/globalratelimiters
      • DELETE: delete collection of GlobalRateLimiter
      • GET: list objects of kind GlobalRateLimiter
      • POST: create a new GlobalRateLimiter
    • /apis/asm.alauda.io/v1alpha1/namespaces/{namespace}/globalratelimiters/{name}
      • DELETE: delete the specified GlobalRateLimiter
      • GET: read the specified GlobalRateLimiter
      • PATCH: partially update the specified GlobalRateLimiter
      • PUT: replace the specified GlobalRateLimiter
    • /apis/asm.alauda.io/v1alpha1/namespaces/{namespace}/globalratelimiters/{name}/status
      • GET: read status of the specified GlobalRateLimiter
      • PATCH: partially update status of the specified GlobalRateLimiter
      • PUT: replace status of the specified GlobalRateLimiter

    /apis/asm.alauda.io/v1alpha1/namespaces/{namespace}/globalratelimiters

    HTTP method
    DELETE
    Description
    delete collection of GlobalRateLimiter
    HTTP responses
    HTTP codeResponse body
    200 - OKStatus schema
    401 - UnauthorizedEmpty
    HTTP method
    GET
    Description
    list objects of kind GlobalRateLimiter
    HTTP responses
    HTTP codeResponse body
    200 - OKGlobalRateLimiterList schema
    401 - UnauthorizedEmpty
    HTTP method
    POST
    Description
    create a new GlobalRateLimiter
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyGlobalRateLimiter schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKGlobalRateLimiter schema
    201 - CreatedGlobalRateLimiter schema
    202 - AcceptedGlobalRateLimiter schema
    401 - UnauthorizedEmpty

    /apis/asm.alauda.io/v1alpha1/namespaces/{namespace}/globalratelimiters/{name}

    HTTP method
    DELETE
    Description
    delete the specified GlobalRateLimiter
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    HTTP responses
    HTTP codeResponse body
    200 - OKStatus schema
    202 - AcceptedStatus schema
    401 - UnauthorizedEmpty
    HTTP method
    GET
    Description
    read the specified GlobalRateLimiter
    HTTP responses
    HTTP codeResponse body
    200 - OKGlobalRateLimiter schema
    401 - UnauthorizedEmpty
    HTTP method
    PATCH
    Description
    partially update the specified GlobalRateLimiter
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    HTTP responses
    HTTP codeResponse body
    200 - OKGlobalRateLimiter schema
    401 - UnauthorizedEmpty
    HTTP method
    PUT
    Description
    replace the specified GlobalRateLimiter
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyGlobalRateLimiter schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKGlobalRateLimiter schema
    201 - CreatedGlobalRateLimiter schema
    401 - UnauthorizedEmpty

    /apis/asm.alauda.io/v1alpha1/namespaces/{namespace}/globalratelimiters/{name}/status

    HTTP method
    GET
    Description
    read status of the specified GlobalRateLimiter
    HTTP responses
    HTTP codeResponse body
    200 - OKGlobalRateLimiter schema
    401 - UnauthorizedEmpty
    HTTP method
    PATCH
    Description
    partially update status of the specified GlobalRateLimiter
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    HTTP responses
    HTTP codeResponse body
    200 - OKGlobalRateLimiter schema
    401 - UnauthorizedEmpty
    HTTP method
    PUT
    Description
    replace status of the specified GlobalRateLimiter
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyGlobalRateLimiter schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKGlobalRateLimiter schema
    201 - CreatedGlobalRateLimiter schema
    401 - UnauthorizedEmpty